# Class StringValueExp

java.lang.Object
javax.management.StringValueExp

All Implemented Interfaces:
  `Serializable, ValueExp`

public class StringValueExp extends Object implements ValueExp
Represents strings that are arguments to relational constraints. A `StringValueExp` may be used anywhere a `ValueExp` is required.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringValueExp()`
  Basic constructor.
  `StringValueExp(String val)`
  Creates a new `StringValueExp` representing the given string.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ValueExp`
  `apply(ObjectName name)`
  Applies the ValueExp on a MBean.
  `String`
  `getValue()`
  Returns the string represented by the `StringValueExp` instance.
  `void`
  `setMBeanServer(MBeanServer s)`
  Deprecated.
  `String`
  `toString()`
  Returns the string representing the object.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### StringValueExp

    public StringValueExp()
    Basic constructor.

  - ### StringValueExp

    public StringValueExp(String val)
    Creates a new `StringValueExp` representing the given string.
    Parameters:
      `val` - the string that will be the value of this expression

- ## Method Details

  - ### getValue

    public String getValue()
    Returns the string represented by the `StringValueExp` instance.
    Returns:
      the string.

  - ### toString

    public String toString()
    Returns the string representing the object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of the object

  - ### setMBeanServer

    @Deprecated public void setMBeanServer(MBeanServer s)
    Deprecated.
    Sets the MBean server on which the query is to be performed.
    Specified by:
      `setMBeanServer` in interface `ValueExp`
    Parameters:
      `s` - The MBean server on which the query is to be performed.

  - ### apply

    public ValueExp apply(ObjectName name) throws BadStringOperationException, BadBinaryOpValueExpException, BadAttributeValueExpException, InvalidApplicationException
    Applies the ValueExp on a MBean.
    Specified by:
      `apply` in interface `ValueExp`
    Parameters:
      `name` - The name of the MBean on which the ValueExp will be applied.
    Returns:
      The `ValueExp`.
    Throws:
      `BadStringOperationException` - when an invalid string operation is passed to a method for constructing a query
      `BadBinaryOpValueExpException` - when an invalid expression is passed to a method for constructing a query
      `BadAttributeValueExpException` - when an invalid MBean attribute is passed to a query constructing method
      `InvalidApplicationException` - when an invalid apply is attempted